ros-noetic-moveit-kinematics (1.1.11-1buster) buster; urgency=high

  * kinematics: add ``program_options`` as required boost component (#3269 <https://github.com/ros-planning/moveit/issues/3269>)
  * Contributors: Jochen Sprickerhof

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.10-1buster) buster; urgency=high

  * Merge PR #3172 <https://github.com/ros-planning/moveit/issues/3172>: Fix CI
  * Fix test_ikfast_plugins.sh
  * auto_create_ikfast_moveit_plugin.sh: allow xacro input
  * Switch to hpp headers of pluginlib
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.9-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.8-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.7-1buster) buster; urgency=high

  * ``round_collada_numbers.py``: python 2/3 compatibility (#2983 <https://github.com/ros-planning/moveit/issues/2983>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Tomislav Bazina

 -- Dave Coleman <dave@picknik.ai>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Robert Haschke, pvanlaar

 -- Dave Coleman <dave@picknik.ai>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-kinematics (1.1.5-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.4-1buster) buster; urgency=high

  * Fix ikfast script: install sympy 0.7.1 from git (#2650 <https://github.com/ros-planning/moveit/issues/2650>)
  * Contributors: ags-dy

 -- Dave Coleman <dave@picknik.ai>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.3-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.2-1buster) buster; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Python3 compatibility for ikfast's round_collada_numbers.py (#2473 <https://github.com/ros-planning/moveit/issues/2473>)
  * Contributors: Tobias Fischer, Tyler Weaver, petkovich

 -- Dave Coleman <dave@picknik.ai>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.1-1buster) buster; urgency=high

  * [fix] various issues with Noetic build (#2327 <https://github.com/ros-planning/moveit/issues/2327>)
  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * Contributors: G.A. vd. Hoorn, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.1.0-1buster) buster; urgency=high

  * [feature] Implementation of parameter TranslationXY2D IKFast (#1949 <https://github.com/ros-planning/moveit/issues/1949>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Delete IKCache copy constructor (#1750 <https://github.com/ros-planning/moveit/issues/1750>)
  * [maint] Move NOLINT instructions to intended positions (#2058 <https://github.com/ros-planning/moveit/issues/2058>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>) (#2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix various build issues on Windows (#1880 <https://github.com/ros-planning/moveit/issues/1880>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * [maint] Relax dependencies of moveit_kinematics (#1529 <https://github.com/ros-planning/moveit/issues/1529>)
  * Contributors: Ayush Garg, Christian Henkel, Dave Coleman, Henning Kayser, Immanuel Martini, Jonathan Binney, Markus Vieth, Martin Günther, Michael Ferguson, Michael Görner, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan, edetleon, jschleicher, v4hn

 -- Dave Coleman <dave@picknik.ai>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.0.6-1buster) buster; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.0.5-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.0.4-1buster) buster; urgency=high

  * Fix broken IKFast generator (#2116 <https://github.com/ros-planning/moveit/issues/2116>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.0.3-1buster) buster; urgency=high

  * [feature] KDL IK: constrain wiggled joints to limits (#1953 <https://github.com/ros-planning/moveit/issues/1953>)
  * [feature] IKFast: optional prefix for link names (#1599 <https://github.com/ros-planning/moveit/issues/1599>)
    If you pass a link_prefix parameter in your kinematics.yaml, this string is prepended to the base and tip links.
    It allows multi-robot setups (e.g. dual-arm) and still instantiate the same solver for both manipulators.
  * [feature] IKFast: increase verbosity of generated script (#1434 <https://github.com/ros-planning/moveit/issues/1434>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [feature] IKFast: implement Translation*AxisAngle4D IK type (#1823 <https://github.com/ros-planning/moveit/issues/1823>)
  * [fix]     Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Christian Henkel, Martin Günther, Max Krichenbauer, Michael Görner, Robert Haschke, Sean Yen, Yu, Yan, jschleicher

 -- Dave Coleman <dave@picknik.ai>  Sat, 25 Apr 2020 22:00:00 -0000

ros-noetic-moveit-kinematics (1.0.2-1buster) buster; urgency=high

  * [fix] KDL IK solver: fix handling of mimic joints (#1490 <https://github.com/ros-planning/moveit/issues/1490>)
  * [fix] Fix ROS apt-key in OpenRAVE docker image (#1503 <https://github.com/ros-planning/moveit/issues/1503>)
  * [fix] Fix ikfast plugin-generator script (#1492 <https://github.com/ros-planning/moveit/issues/1492>, #1449 <https://github.com/ros-planning/moveit/issues/1449>)
  * Contributors: Immanuel Martini, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-moveit-kinematics (1.0.1-1buster) buster; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-moveit-kinematics (1.0.0-1buster) buster; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [capability] Adapt ikfast plugin to new KinematicsBase API. #1320 <https://github.com/ros-planning/moveit/issues/1320>
  * [improve] cleanup LMA kinematics solver #1318 <https://github.com/ros-planning/moveit/issues/1318>
  * [improve] KDL IK solver improvements (#1321 <https://github.com/ros-planning/moveit/issues/1321>)
  * [improve] Kinematics tests, kdl cleanup #1272 <https://github.com/ros-planning/moveit/issues/1272>, #1294 <https://github.com/ros-planning/moveit/issues/1294>
  * Contributors: Dave Coleman, Jorge Nicho, Mike Lautman, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 23 Feb 2019 23:00:00 -0000

ros-noetic-moveit-kinematics (0.10.8-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 Dec 2018 23:00:00 -0000

ros-noetic-moveit-kinematics (0.10.7-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 Dec 2018 23:00:00 -0000

ros-noetic-moveit-kinematics (0.10.6-1buster) buster; urgency=high

  * [enhancement] Pass RobotModel to IK, avoiding multiple loading (#1166 <https://github.com/ros-planning/moveit/issues/1166>)
    See MIGRATION notes <https://github.com/ros-planning/moveit/blob/melodic-devel/MIGRATION.md> for API changes in IK plugins,
    kdl, srv, or cached_ik for examples.
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * Contributors: Alex Moriarty, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 08 Dec 2018 23:00:00 -0000

ros-noetic-moveit-kinematics (0.10.5-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 31 Oct 2018 23:00:00 -0000

ros-noetic-moveit-kinematics (0.10.4-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-kinematics (0.10.3-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-kinematics (0.10.2-1buster) buster; urgency=high

  * [capability] add IKP_Translation{X,Y,Z}AxisAngle4D to the cpp template, see https://github.com/ros-planning/moveit/issues/548#issuecomment-316298918
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * Contributors: Kei Okada, Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman, v4hn

 -- Dave Coleman <dave@picknik.ai>  Tue, 23 Oct 2018 22:00:00 -0000

ros-noetic-moveit-kinematics (0.10.1-1buster) buster; urgency=high

  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * fixes to ikfast kinematics plugin (#808 <https://github.com/ros-planning/moveit/issues/808>)
  * Cached ik kinematics plugin (#612 <https://github.com/ros-planning/moveit/issues/612>)
    add caching wrapper for IK solvers
  * Contributors: Ian McMahon, Mark Moll, Mikael Arguedas, Robert Haschke, Xiaojian Ma

 -- Dave Coleman <dave@picknik.ai>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-moveit-kinematics (0.9.11-1buster) buster; urgency=high

  * Merge pull request #714 <https://github.com/ros-planning/moveit/issues/714> from henhenhen/kinetic-devel_lookup-param
    Use lookupParam() in kinematics plugins
  * Replace param() with lookupParam() in srv_kinematics_plugin
  * Replace param() with lookupParam() in lma_kinematics_plugin
  * Replace param() with lookupParam() in kdl_kinematics_plugin
  * Replace param() with lookupParam() in ikfast_kinematics_plugin
  * Remove redundant parameter query
  * Contributors: Henning Kayser, Isaac I.Y. Saito

 -- Dave Coleman <dave@picknik.ai>  Sun, 24 Dec 2017 23:00:00 -0000

ros-noetic-moveit-kinematics (0.9.10-1buster) buster; urgency=high

  * [fix][kinetic onward] Fix create_ikfast_moveit_plugin to comply with format 2 of the package.xml. Remove collada_urdf dependency #666 <https://github.com/ros-planning/moveit/pull/666>
  * [fix] create_ikfast_moveit_plugin: fixed directory variable for templates that were moved to ikfast_kinematics_plugin #620 <https://github.com/ros-planning/moveit/issues/620>
  * [improve] IKFastTemplate: Expand solutions to full joint range in searchPositionIK #598 <https://github.com/ros-planning/moveit/issues/598>
  * [improve] IKFastTemplate: searchPositionIK now returns collision-free solution which is nearest to seed state. (#585 <https://github.com/ros-planning/moveit/issues/585>)
  * Contributors: Dennis Hartmann, G.A. vd. Hoorn, Michael Görner, fsuarez6

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Dec 2017 23:00:00 -0000

ros-noetic-moveit-kinematics (0.9.9-1buster) buster; urgency=high

  * [improve] Modify ikfast_template for getPositionIK single solution results (#537 <https://github.com/ros-planning/moveit/issues/537>)
  * Contributors: nsnitish

 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Aug 2017 22:00:00 -0000

ros-noetic-moveit-kinematics (0.9.8-1buster) buster; urgency=high

  * [build] ikfast_kinematics_plugin: Write XML files as UTF-8 (#514 <https://github.com/ros-planning/moveit/issues/514>)
  * [build] adjust cmake_minimum_required for add_compile_options (#521 <https://github.com/ros-planning/moveit/issues/521>)
  * [build] ikfast_kinematics_plugin: Add c++11 compile option. This is required for Kinetic.
  * Contributors: Martin Guenther, Michael Goerner

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-moveit-kinematics (0.9.7-1buster) buster; urgency=high

  * [fix][Kinetic+] ikfast_kinematics_plugin: Add c++11 compile option #515 <https://github.com/ros-planning/moveit/pull/515>
  * [fix][Indigo] moveit_kinematics Eigen3 dependency (#470 <https://github.com/ros-planning/moveit/issues/470>)
  * Contributors: Martin Guenther, YuehChuan

 -- Dave Coleman <dave@picknik.ai>  Sun, 04 Jun 2017 22:00:00 -0000

ros-noetic-moveit-kinematics (0.9.6-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 11 Apr 2017 22:00:00 -0000

ros-noetic-moveit-kinematics (0.9.5-1buster) buster; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Tue, 07 Mar 2017 23:00:00 -0000

ros-noetic-moveit-kinematics (0.9.4-1buster) buster; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Sun, 05 Feb 2017 23:00:00 -0000

ros-noetic-moveit-kinematics (0.9.3-1buster) buster; urgency=high

  * [fix] Replace unused service dependency with msg dep (#361 <https://github.com/ros-planning/moveit/issues/361>)
  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Dave Coleman <dave@picknik.ai>  Tue, 15 Nov 2016 23:00:00 -0000

ros-noetic-moveit-kinematics (0.9.2-1buster) buster; urgency=high

  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Nov 2016 23:00:00 -0000

ros-noetic-moveit-kinematics (0.9.0-1buster) buster; urgency=high

  * Add dependency on new moveit_kinematics package
  * Move moveit_ikfast into moveit_kinematics
  * Moved kinematics plugins to new pkg moveit_kinematics
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Tue, 18 Oct 2016 22:00:00 -0000

ros-noetic-moveit-kinematics (0.8.3-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 20 Aug 2016 22:00:00 -0000


